hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From <shenlong...@sina.com>
Subject What jars dependent for java invoking HBase0.98?
Date Fri, 23 May 2014 07:56:57 GMT
Dear,

I write a MR based on HBase0.98.Finally I want to with the following command execution:hadoop
jar my.jar.But I don't know what need the jar dependencies?
look for the "Ref Guide (single-page)"prompt message:
commons-configuration (commons-configuration-1.6.jar)
commons-lang (commons-lang-2.5.jar)
commons-logging (commons-logging-1.1.1.jar)
hadoop-core (hadoop-core-1.0.0.jar)
hbase (hbase-0.92.0.jar)
log4j (log4j-1.2.16.jar)
slf4j-api (slf4j-api-1.5.8.jar)
slf4j-log4j (slf4j-log4j12-1.5.8.jar)
zookeeper (zookeeper-3.4.2.jar)
But there is no hbase-core-0.98.0.jar in hbase0.98 and hadoop 2.2.0 also does not have the
hadoop-core-2.2.0.jar
Now ,I don't know how to carry out my program(hadoop jar my.jar)in my hadoop  environment!
(This is my first time to send email in English, what's wrong please understand)ThanksBest
Regards
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message